org.apache.xmlgraphics.xmp.schemas.pdf

## Class PDFAXMPSchema

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPSchema
  - - org.apache.xmlgraphics.xmp.schemas.pdf.PDFAXMPSchema

-     public class PDFAXMPSchema
      extends XMPSchema

  XMP Schema for PDF/A (ISO 19005-1).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAMESPACE` Namespace URI for Dublin Core

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFAXMPSchema()` Creates a new schema instance for Dublin Core.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PDFAAdapter` | `getAdapter(Metadata meta)` Creates and returns an adapter for this schema around the given metadata object.
    `MergeRuleSet` | `getDefaultMergeRuleSet()`

    - ### Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchema

      `getNamespace, getPreferredPrefix, getQName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final java.lang.String NAMESPACE

      Namespace URI for Dublin Core
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PDFAXMPSchema

          public PDFAXMPSchema()

      Creates a new schema instance for Dublin Core.

  - ### Method Detail

    - #### getAdapter

          public static PDFAAdapter getAdapter(Metadata meta)

      Creates and returns an adapter for this schema around the given metadata object.
      Parameters:
        `meta` - the metadata object
      Returns:
        the newly instantiated adapter

    - #### getDefaultMergeRuleSet

          public MergeRuleSet getDefaultMergeRuleSet()

      Overrides:
        `getDefaultMergeRuleSet` in class `XMPSchema`
      Returns:
        the default merge rule set for this XMP schema.
      See Also:
        `XMPSchema.getDefaultMergeRuleSet()`

Copyright 1999-2024 The Apache Software Foundation. All Rights Reserved.